API ReferenceapientitlementsGET /v1/entitlements/user/{id}

GET /v1/entitlements/user/\{id\}

Service: entitlements · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Query parameters

  • tier (string) required
  • brand_id (string) required

Responses

200 User entitlements

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string"
    },
    "tier": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "features": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "user_id",
    "tier",
    "brand_id",
    "features"
  ]
}

Example

curl -X GET https://entitlements.platform.loop.health/v1/entitlements/user/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"